import { html as a } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as w } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, h = Object.getOwnPropertyDescriptor, c = (n, r, l, o) => {
  for (var e = o > 1 ? void 0 : o ? h(r, l) : r, i = n.length - 1, s; i >= 0; i--)
    (s = n[i]) && (e = (o ? s(r, l, e) : s(e)) || e);
  return o && e && g(r, l, e), e;
};
let t = class extends w {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowDownCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--arrowDownCircleFilledLarge", this.name = "IconArrowDownCircleFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowDownCircleFilledLarge"><path d="M16.875 3.75v15.367l4.165-4.17 1.234 1.235-5.04 5.047a1.75 1.75 0 0 1-2.468 0l-5.04-5.047 1.234-1.235 4.165 4.17V3.75a12.24 12.24 0 0 0-8.239 4.038 12.275 12.275 0 0 0 .608 17.023 12.24 12.24 0 0 0 17.012 0 12.273 12.273 0 0 0 .608-17.023 12.24 12.24 0 0 0-8.239-4.038"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], t.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = c([
  f("icon-arrow-down-circle-filled-large")
], t);
export {
  t as IconArrowDownCircleFilledLarge
};
